---
title: Storage.getItem()
slug: Web/API/Storage/getItem
tags:
  - API
  - Method
  - Reference
  - Storage
  - Web Storage
---
<div>{{APIRef("Web Storage API")}}</div>

<p>The <strong><code>getItem()</code></strong> method of the {{domxref("Storage")}} interface, when passed a key name, will return that key's value, or <code>null</code> if the key does not exist, in the given <code>Storage</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aValue</em> = <em>storage</em>.getItem(<em>keyName</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>keyName</code></dt>
 <dd>A {{domxref("DOMString")}} containing the name of the key you want to retrieve the value of.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} containing the value of the key. If the key does not exist, <code>null</code> is returned.</p>

<h2 id="Example">Example</h2>

<p>The following function retrieves three data items from local storage, then uses them to set custom styles on a page.</p>

<pre class="brush: js">function setStyles() {
  var currentColor = localStorage.getItem('bgcolor');
  var currentFont = localStorage.getItem('font');
  var currentImage = localStorage.getItem('image');

  document.getElementById('bgcolor').value = currentColor;
  document.getElementById('font').value = currentFont;
  document.getElementById('image').value = currentImage;

  htmlElem.style.backgroundColor = '#' + currentColor;
  pElem.style.fontFamily = currentFont;
  imgElem.setAttribute('src', currentImage);
}</pre>

<div class="note">
<p><strong>Note</strong>: To see this used within a real world example, see our <a href="https://mdn.github.io/dom-examples/web-storage/">Web Storage Demo</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webstorage.html#dom-storage-getitem', 'Storage.getItem')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Storage.getItem")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Storage/setItem">Storage.setItem()</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API">Using the Web Storage API</a></li>
</ul>
